FreeBSD : nagios -- buffer overflow in history.cgi (97c22a94-5b8b-11e2-b131-000c299b62e1)

High Nessus Plugin ID 63470


The remote FreeBSD host is missing a security-related update.


full disclosure reports :

history.cgi is vulnerable to a buffer overflow due to the use of sprintf with user-supplied data that has not been restricted in size.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 63470

File Name: freebsd_pkg_97c22a945b8b11e2b131000c299b62e1.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2013/01/11

Modified: 2013/11/06

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:nagios, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/01/10

Vulnerability Publication Date: 2012/12/21

Exploitable With

Core Impact

Metasploit (Nagios3 history.cgi Host Command Execution)

Reference Information

CVE: CVE-2012-6096